.import-modal-overlay {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	backdrop-filter: blur(8px) brightness(100%) saturate(50%);
	justify-content: center;
	align-items: center;
	z-index: 99;
	font-size: .16em;
}

.import-modal-container {
	background: white;
	padding: 20px;
	border-radius: 10px;
	width: 90%;
	max-width: 500px;
	box-shadow: 0 8px 30px rgba(0, 0, 0, 0.15);
	display: flex;
	flex-direction: column;
	align-items: center;
	transition: max-width 0.3s ease;
}

.import-modal-container.wide-view {
	max-width: 80vw;
}

.import-step-row {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	margin-top: 16px;
	margin-bottom: 8px;
}

.import-btn-outline {
	border: 1px solid #1976d2;
	color: #1976d2;
	background: white;
	padding: 8px 24px;
	border-radius: 6px;
	cursor: pointer;
	font-weight: bold;
}

.import-btn-filled {
	background: #0076ec;
	color: white;
	border: none;
	padding: 8px 24px;
	border-radius: 6px;
	cursor: pointer;
	font-weight: bold;
}

.import-btn-disabled {
	background: #ccc;
	color: #666;
	cursor: not-allowed;
	border: none;
}

.import-btn-action {
	padding: 12px 32px;
	border-radius: 8px;
	font-size: 16px;
	font-weight: bold;
	cursor: pointer;
	width: 100%;
	white-space: nowrap;
}

.import-table-wrapper {
	overflow: auto;
	max-height: 60vh;
	min-height: 60vh;
	width: 100%;
	border: 1px solid #E8E8E8;
	margin-top: 16px;
}

.import-preview-table {
	width: 100%;
	border-collapse: collapse;
	text-align: left;
	font-size: 14px;
}

.import-preview-table th,
.import-preview-table td {
	padding: 10px;
	border: 1px solid #E8E8E8;
	white-space: nowrap;
}

.import-preview-table th {
	background-color: #F5F5F5;
	font-weight: bold;
	position: sticky;
	top: 0;
}

.import-cell-error {
    background-color: #ffebee !important;
    color: #c62828 !important;
    /* border: 1px solid #ef5350 !important; */
    font-weight: bold;
}